mongoid_collation
=================
[![Build Status](https://travis-ci.org/maciejmajewski/mongoid_collation.svg?branch=master)](https://travis-ci.org/maciejmajewski/mongoid_collation)

Support for sorting by collation for Mongoid

### Problem description
* [Natural Language Sorting with MongoDB, Derick Rethans](http://derickrethans.nl/mongodb-collation.html)
* [SERVER-1920 in mongoDB JIRA (4 years old)](https://jira.mongodb.org/browse/SERVER-1920)
* http://www.unicode.org/reports/tr10/#Step_3

### Contributing to mongoid_collation
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

### Copyright

Copyright (c) 2014 Maciej Majewski. See LICENSE.txt for
further details.

